Google Ads SERP
POST
/v3/serp/google/ads_search/task_post参考价:约 ¥0.0096 / 次(实际以请求返回为准)
广告主:/v3/serp/google/ads_advertisers/task_post。
请求体
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
| keyword | string | 是 | 搜索关键词 |
| location_code | integer | 是 | 地区代码 |
| language_code | string | 是 | 语言代码 |
请求示例
curl
curl -X POST "https://api.seermartech.cn/v3/serp/google/ads_search/task_post" \
-H "Authorization: Bearer smt_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '[{"keyword": "example query", "location_code": 2840, "language_code": "en"}]'Python
import requests
resp = requests.post(
"https://api.seermartech.cn/v3/serp/google/ads_search/task_post",
headers={"Authorization": "Bearer smt_live_YOUR_KEY"},
json=[{"keyword": "example query", "location_code": 2840, "language_code": "en"}],
timeout=120,
)
print(resp.json()["tasks"][0]["result"])TypeScript
const resp = await fetch("https://api.seermartech.cn/v3/serp/google/ads_search/task_post", {
method: "POST",
headers: { Authorization: "Bearer smt_live_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify([{"keyword": "example query", "location_code": 2840, "language_code": "en"}]),
});
console.log((await resp.json()).tasks[0].result);业务场景
- API 集成与数据分析